After February 20th 2018, all embed and API requests to strawpoll.me must use a secure connection (https).

Kitpvp in happymine

1.8 kitpvp EN 1.12 kitpvp (en dan met vote om te veranderen, nogsteeds met laatste mc versie joinen) 51

1.12 kitpvp (moet ook nogsteeds met laatste mc versie joinen) 38

1.8 kitpvp (moet nogsteeds met laatste mc versie joinen) 9

98 Votes

0 Comments

Vote